CLASS_DEV_ITER_INIT(9)

NAME
class_dev_iter_init - initialize class device iterator

SYNOPSIS

void class_dev_iter_init(struct class_dev_iter * iter, struct class * class, struct device * start, const struct device_type * type);

ARGUMENTS

iter
    class iterator to initialize

class
    the class we wanna iterate over

start
    the device to start iterating from, if any

type
    device_type of the devices to iterate over, NULL for all

DESCRIPTION

Initialize class iterator iter such that it iterates over devices of class. If start is set, the list iteration will start there, otherwise if it is NULL, the iteration starts at the beginning of the list.

COPYRIGHT